GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::QuerySeries Class Reference

QuerySeries contains: class to construct a series-based query for c-find and c-move. More...

`#include <gdcmQuerySeries.h>`

Inheritance diagram for gdcm::QuerySeries:
[legend]
Collaboration diagram for gdcm::QuerySeries:
[legend]

## Public Member Functions

std::string | GetName () const
std::vector< Tag > | GetOptionalTags (const ERootType &inRootType) const
DataElement | GetQueryLevel () const
std::vector< Tag > | GetRequiredTags (const ERootType &inRootType) const
std::vector< Tag > | GetUniqueTags (const ERootType &inRootType) const
Public Member Functions inherited from gdcm::QueryBase
virtual | ~QueryBase ()
virtual std::vector< Tag > | GetAllTags (const ERootType &inRootType) const

## Detailed Description

QuerySeries contains: class to construct a series-based query for c-find and c-move.

## Member Function Documentation

std::string gdcm::QuerySeries::GetName | ( |  | ) | const

inlinevirtual

Implements gdcm::QueryBase.

std::vector<Tag> gdcm::QuerySeries::GetOptionalTags | ( | const ERootType & | inRootType | ) | const

virtual

Implements gdcm::QueryBase.

DataElement gdcm::QuerySeries::GetQueryLevel | ( |  | ) | const

virtual

Implements gdcm::QueryBase.

std::vector<Tag> gdcm::QuerySeries::GetRequiredTags | ( | const ERootType & | inRootType | ) | const

virtual

Implements gdcm::QueryBase.

std::vector<Tag> gdcm::QuerySeries::GetUniqueTags | ( | const ERootType & | inRootType | ) | const

virtual

Implements gdcm::QueryBase.

The documentation for this class was generated from the following file:

- gdcmQuerySeries.h